com.hammurapi.store

## Enum Store.ViewType

- java.lang.Object
- - java.lang.Enum<Store.ViewType>
  - - com.hammurapi.store.Store.ViewType

- All Implemented Interfaces:
    Serializable, Comparable<Store.ViewType>
  Enclosing interface:
    Store<T,PK,S extends Store<T,PK,S>>

      public static enum Store.ViewType
      extends Enum<Store.ViewType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNCHRONOUS` Asynchronous views create intermediary store which contains only data visible by the view.
    `LAZY` Lazy views create intermediary store which contains only data visible by the view.
    `LIVE` Live perform all operations on the master data, they do not create an intermediary store for view data.
    `SYNCHRONOUS` Synchronous views create intermediary store which contains only data visible by the view.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Store.ViewType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Store.ViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LIVE

          public static final Store.ViewType LIVE

      Live perform all operations on the master data, they do not create an intermediary store for view data.

    - #### LAZY

          public static final Store.ViewType LAZY

      Lazy views create intermediary store which contains only data visible by the view. Updates from the main store are queued up and get applied to the intermediary store when one of view data retrieval methods is invoked.

    - #### ASYNCHRONOUS

          public static final Store.ViewType ASYNCHRONOUS

      Asynchronous views create intermediary store which contains only data visible by the view. Updates from the main store are queued up and get applied to the intermediary store in a background task, or when one of view data retrieval methods is invoked.

    - #### SYNCHRONOUS

          public static final Store.ViewType SYNCHRONOUS

      Synchronous views create intermediary store which contains only data visible by the view. Updates from the main store get applied to the view store as part of update operation.

  - ### Method Detail

    - #### values

          public static Store.ViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Store.ViewType c : Store.ViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Store.ViewType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null